List user portfolios
curl --request GET \
--url https://api.itoflow.ai/portfolios \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/portfolios"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/portfolios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"portfolios": [
{
"benchmark_index_id": "<string>",
"broker_sync_status": "<string>",
"broker_type": "<string>",
"created_at": "<string>",
"cumulative_return": "<string>",
"cumulative_return_reason": "<string>",
"description": "<string>",
"execution_mode": "<string>",
"last_broker_validation_at": "<string>",
"linked_strategy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"link_type": "primary",
"name": "<string>"
},
"name": "<string>",
"peer_portfolio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"portfolio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"portfolio_type": "<string>",
"price_updated_at": "<string>",
"total_value": "<string>",
"updated_at": "<string>",
"valuation_unavailable_reason": "<string>",
"valuationError": {
"code": "PORTFOLIO_VALUE_NOT_POSITIVE",
"message": "<string>"
},
"went_live_at": "<string>"
}
]
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Portfolios
List user portfolios
Returns all active portfolios for the authenticated user with holdings value, cumulative return, and strategy linking info.
Operation ID: get__portfolios.
GET
https://api.itoflow.ai
/
portfolios
List user portfolios
curl --request GET \
--url https://api.itoflow.ai/portfolios \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/portfolios"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/portfolios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"portfolios": [
{
"benchmark_index_id": "<string>",
"broker_sync_status": "<string>",
"broker_type": "<string>",
"created_at": "<string>",
"cumulative_return": "<string>",
"cumulative_return_reason": "<string>",
"description": "<string>",
"execution_mode": "<string>",
"last_broker_validation_at": "<string>",
"linked_strategy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"link_type": "primary",
"name": "<string>"
},
"name": "<string>",
"peer_portfolio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"portfolio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"portfolio_type": "<string>",
"price_updated_at": "<string>",
"total_value": "<string>",
"updated_at": "<string>",
"valuation_unavailable_reason": "<string>",
"valuationError": {
"code": "PORTFOLIO_VALUE_NOT_POSITIVE",
"message": "<string>"
},
"went_live_at": "<string>"
}
]
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}